Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class CmapFormat

    java.lang.Object
      org.apache.batik.svggen.font.table.CmapFormat

Direct Known Subclasses:
  CmapFormat0, CmapFormat2, CmapFormat4, CmapFormat6

    public abstract class CmapFormat

extends Object

Field Summary
`protected int` | `format`
`protected int` | `length`
`protected int` | `version`

Constructor Summary
`protected` | `CmapFormat(RandomAccessFile raf)`

Method Summary
`protected static CmapFormat` | `create(int format, RandomAccessFile raf)`
`abstract int` | `getFirst()`
`int` | `getFormat()`
`abstract int` | `getLast()`
`int` | `getLength()`
`int` | `getVersion()`
`abstract int` | `mapCharCode(int charCode)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### format

    protected int format

### length

    protected int length

### version

    protected int version

Constructor Detail

### CmapFormat

    protected CmapFormat(RandomAccessFile raf)
                  throws IOException

Throws:
  `IOException`

Method Detail

### create

    protected static CmapFormat create(int format,
                                       RandomAccessFile raf)
                                throws IOException

  Throws:
    `IOException`

### getFormat

    public int getFormat()

### getLength

    public int getLength()

### getVersion

    public int getVersion()

### mapCharCode

    public abstract int mapCharCode(int charCode)

### getFirst

    public abstract int getFirst()

### getLast

    public abstract int getLast()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.